package org.micord.models.validations;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import lombok.Setter;
import org.micord.models.requests.SqlConnectionParams;

import java.util.List;


@Setter
public class ValidationRule {

	private SqlConnectionParams sqlConnectionParams;
	private String requestURL;
	private String idColumn;
	private List<String> validationColumns;

	@XmlElement(name = "RequestURL")
	public String getRequestURL() {
		return requestURL;
	}

	@XmlElement(name = "SqlConnectionParams")
	public SqlConnectionParams getSqlConnectionParams() {
		return sqlConnectionParams;
	}

	@XmlAttribute(name = "validationColumns")
	public List<String> getValidationColumns() {
		return validationColumns;
	}

	@XmlAttribute(name = "idColumn")
	public String getIdColumn() {
		return idColumn;
	}

}
